{ config, ... }: 
let
  mediaDirectory = "\$HOME/media";
in {
  xdg = {
    enable = true;
    userDirs = {
      enable = true;
      createDirectories = true;

      /* TODO: this can be a btrfs subvolume to exclude those directories from snapshots */
      download = "${mediaDirectory}/Downloads";
      music = "${mediaDirectory}/Music";
      pictures = "${mediaDirectory}/Pictures";
      publicShare = "${mediaDirectory}/Public";
      templates = "${mediaDirectory}/Templates";
      videos = "${mediaDirectory}/Videos";

    };
  };
}
